Soporte » Plugins y Hacks » WooCommerce » Problema con uni cpo calculate y theme

  • Resuelto amogutu

    (@amogutu)


    Despues de unos dias familiarizándome con el plugin en un wordpress que solo uso para realizar pruebas, he dado el paso a instalarlo en mi tienda, pero desafortunadamente no me funciona dado que utilizo el theme porto.
    Cuando intento acceder al plugin desde la ficha del producto me aparece el error «it seems that image tag selector is wrong please update«.
    He contactado con el sopporte el plugin y me indican lo siguiente:

    Porto themes utiliza su propio marcado / scripts para la imagen principal, por lo que no, no es posible. Básicamente, pierde la funcionalidad de cambio de imagen.

    Despues del trabajo realizado encontrarme con este problema…espero tener un poquito de suerte y que me podais ayudar

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • Moderador Jose Luis

    (@jose64)

    Hola

    El tema que estás usando, Porto, es un tema comercial. Si estás usando un tema comercial y necesitas soporte debes ir a su canal de soporte oficial. Para dar el mejor servicio a la comunidad WordPress, y generar progreso e innovación, creemos que es importante dirigir a la gente a los sitios oficiales, en este caso el soporte de:

    P-Themes Support System.

    Además, los voluntarios del foro no tenemos acceso a productos comerciales, así que no sabríamos porque tu tema comercial no funciona adecuadamente. Y hay otra razón por la que los voluntarios te dirigimos a los vendedores del producto comercial: los vendedores son responsables de dar soporte a su producto comercial.

    Se podría resumir en que en los foros de WordPress.org podemos dar soporte a todo aquello que se pueda instalar o descargar desde WordPress.org.

    Al margen de lo anterior, el problema tiene difícil solución, básicamente porque el desarrollador del plugin no puede cambiar un desarrollo estandar para adaptarlo a un tema específico, a no ser que te haga un trabajo personalizado, opción que podrías consultarle. Yo te diría que desecharas el tema e instalaras otro que fuese compatible con el plugin, al final de cuentas lo que tienes instalado lo puedes conseguir fácilmente con cualquier otro tema que respete los estándares de WooCommerce.

    Iniciador del debate amogutu

    (@amogutu)

    Gracias por tu ayuda jibse luis. Entiendo perfectamente lo que me comentas.
    He Contactado con la empresa encargada de dar soporte al tema pero me han indicado que ellos no ofrecen soporte por incompatibilidad con plugin de terceros….

    La opción de cambiar el tema lo he pensado, pero me ha surgido la duda de que tema comprar y que pueda funcionar uní cpo… la verdad que después de tener todo casi listo me he encontrado con un verdadero problema.

    Una deducción mia…si modificó el selector de imagen del producto bonfuncionaria uní cpo?

    Muchas gracia de nuevo!

    Moderador Jose Luis

    (@jose64)

    Hola

    Es difícil, de hecho si fuese simplemente cambiar un parámetro de la configuración del plugin el desarrollador te lo hubiese indicado, pero no pierdes nada haciendo la prueba, en los ajustes de Uni CPO tienes una opción para la imagen en:

    Escritorio > WooCommerce > Uni CPO Settings > Custom selector (id/class) for a product image wrapper html tag

    El problema es que ya indica que no es para la imagen en si, sino para el elemento que envuelve la imagen, por lo que no creo que te funcione.

    Otra cosa es que hagas el cambio en Porto, revisar que plantillas de WooCommerce sobreescribe y modificarlas en un tema hijo, pero no puede que no sea tarea fácil, por algún motivo lo cambiaría el tema, aparte de que aunque lo consigas con cada actualización del tema te arriesgas a que te falle y tengas que volver a trabajar en ella, por lo que yo directamente lo descartaría. Yo una vez le hice y antes de hacer cualquier actualización revisaba bien si realmente era necesaria y si no tocaba nada de seguridad o compatibilidad con alguna otra cosa me la saltaba justamente por eso.

    Yo te diría que cambies de tema, pero no por uno comprado en ThemeForest, sino por uno del repositorio. Si te fijas en la web que tienes montada, tienes unas páginas sencillas que puedes hacerla con Gutenberg sin mayor problema, si instalas Storefront tienes la seguridad de que te funcionará, de hecho, me atrevo a decirte que te funcionará con casi cualquier tema del repositorio que sea compatible con WooCommerce.

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • El debate ‘Problema con uni cpo calculate y theme’ está cerrado a nuevas respuestas.